;              
CREATE USER IF NOT EXISTS "SA" SALT 'b7d79e8177a5086a' HASH '40a780cde73b56d962710cea988e4e778e6df8ae58092d6bd4014a7e93c63a50' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."ATTRIBUTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(256),
    "VALUE" VARCHAR(2048)
);           
ALTER TABLE "PUBLIC"."ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE "PUBLIC"."CATEGORY"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "SORT" INTEGER,
    "CATEGORY_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO "PUBLIC"."CATEGORY" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Personnage principal', '', '', '', 1, NULL),
(2, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Personnage secondaire', '', '', '', 2, NULL);        
CREATE CACHED TABLE "PUBLIC"."CHAPTER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "PART_ID" BIGINT,
    "CHAPTERNO" INTEGER,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");       
-- 7 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO "PUBLIC"."CHAPTER" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:37:26', STRINGDECODE('S\u00e9lectionner le bouton \u00e0 montrer'), '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), STRINGDECODE('S\u00e9lectionner le bouton \u00e0 montrer'), 1, 1, TIMESTAMP '2021-11-13 16:27:58.942', NULL, NULL, 0),
(2, '2021-11-13 16:41:35', '2021-11-13 16:41:35', 'Divers', STRINGDECODE('<p>\n      Cr&#233;ation d''un lieu\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Divers', 1, 2, TIMESTAMP '2021-11-13 16:41:35.963', NULL, NULL, 0),
(3, '2021-11-13 16:42:55', '2021-11-13 16:42:56', 'Exportation', STRINGDECODE('<p>\n      Exportation\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Exportation', 1, 3, TIMESTAMP '2021-11-13 16:42:55.185', NULL, NULL, 0),
(4, '2021-11-13 16:44:38', '2021-11-13 16:44:39', 'Importation', STRINGDECODE('<p>\n      Importer\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Importation', 1, 4, TIMESTAMP '2021-11-13 16:44:38.903', NULL, NULL, 0),
(5, '2021-11-13 16:46:48', '2021-11-13 16:46:50', 'vues', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'vues', 1, 5, TIMESTAMP '2021-11-13 16:46:48.755', NULL, NULL, 0),
(6, '2021-11-13 16:51:44', '2021-11-13 16:51:44', 'Propositions', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 'Propositions', 1, 6, TIMESTAMP '2021-11-13 16:51:44.235', NULL, NULL, 0),
(7, '2021-11-13 17:08:40', '2021-11-13 22:50:43', STRINGDECODE('Bugs \u00e9ventuels ?'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), STRINGDECODE('Bugs \u00e9ventuels ?'), 1, 7, TIMESTAMP '2021-11-13 17:08:40.317', NULL, NULL, 0);              
CREATE CACHED TABLE "PUBLIC"."ENDNOTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "SCENE_ID" BIGINT
);          
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
CREATE CACHED TABLE "PUBLIC"."GENDER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHILDHOOD" INTEGER NOT NULL,
    "ADOLESCENCE" INTEGER NOT NULL,
    "ADULTHOOD" INTEGER NOT NULL,
    "RETIREMENT" INTEGER NOT NULL,
    "ICONE" VARCHAR(256)
);            
ALTER TABLE "PUBLIC"."GENDER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO "PUBLIC"."GENDER" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Homme', '', '', '', 6, 12, 18, 65, NULL),
(2, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Femme', '', '', '', 6, 12, 18, 65, NULL); 
CREATE CACHED TABLE "PUBLIC"."IDEAS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "STATUS" INTEGER,
    "CATEGORY" VARCHAR(256)
);               
ALTER TABLE "PUBLIC"."IDEAS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE "PUBLIC"."INTERNAL"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(512),
    "STRING_VALUE" VARCHAR(4096),
    "INTEGER_VALUE" INTEGER,
    "BOOLEAN_VALUE" BOOLEAN,
    "BINVALUE" BINARY(16384)
);             
ALTER TABLE "PUBLIC"."INTERNAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_50" PRIMARY KEY("ID");     
-- 43 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(1, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookCreationDate', '', 0, FALSE, NULL),
(2, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookUpdate', '2021-11-13 16:27:58', 0, FALSE, NULL),
(3, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Title', 'Tests -Bernard', 0, FALSE, NULL),
(4, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'SubTitle', '', 0, FALSE, NULL),
(5, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Author', 'BM', 0, FALSE, NULL),
(6, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Copyright', '', 0, FALSE, NULL),
(7, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Blurb', '', 0, FALSE, NULL),
(8, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Notes', '', 0, FALSE, NULL),
(9, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Assistant', '', 0, FALSE, NULL),
(10, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Polti', '0', 0, FALSE, NULL),
(11, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Step', '0', 0, FALSE, NULL),
(12, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Scenario', '0', 0, FALSE, NULL),
(13, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Markdown', '0', 0, FALSE, NULL),
(14, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ISBN', '', 0, FALSE, NULL),
(15, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'UUID', '', 0, FALSE, NULL),
(16, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'Language', '', 0, FALSE, NULL),
(17, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupDir', '', 0, FALSE, NULL),
(18, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupAuto', '0', 0, FALSE, NULL),
(19, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BackupIncrement', '0', 0, FALSE, NULL),
(20, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorModless', '1', 0, FALSE, NULL),
(21, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorUse', '1', 0, FALSE, NULL),
(22, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorName', 'libreoffice', 0, FALSE, NULL),
(23, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorExtension', 'ods', 0, FALSE, NULL),
(24, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'xEditorTemplate', '/home/bernard/ostorybook/mod_ostory1.ott', 0, FALSE, NULL),
(25, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportDirectory', '/home/bernard/ostorybook', 0, FALSE, NULL),
(26, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportChapterBookTitle', '0', 0, FALSE, NULL),
(27, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportChapterBreakpage', '0', 0, FALSE, NULL),
(28, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportCsvSeparator', '10', 0, FALSE, NULL),
(29, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlCss', '', 0, FALSE, NULL),
(30, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlNav', '0', 0, FALSE, NULL),
(31, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlNavImage', '0', 0, FALSE, NULL),
(32, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportHtmlMulti', '0', 0, FALSE, NULL),
(33, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportPdfSize', '', 0, FALSE, NULL),
(34, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ExportPdfLandscape', '0', 0, FALSE, NULL),
(35, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ImportDirectory', '', 0, FALSE, NULL),
(36, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'ImportFile', '', 0, FALSE, NULL),
(37, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'BookLayout', '000001001', 0, FALSE, NULL),
(38, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'SceneSeparator', '.oOo.', 0, FALSE, NULL);             
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(39, '2021-11-13 16:27:47', '2021-11-13 16:27:47', '', '', '', '', 'UseCalendar', '', 0, FALSE, NULL),
(40, '2021-11-13 16:27:48', '2021-11-13 16:27:48', '', '', '', '', 'EpubCover', '0', 0, FALSE, NULL),
(41, '2021-11-13 16:27:58', '2021-11-13 16:27:58', '', '', '', '', 'Stage', '0', 0, FALSE, NULL),
(42, '2021-11-13 16:29:11', '2021-11-13 16:29:11', '', '', '', '', 'TypistUse', '0', 0, FALSE, NULL),
(43, '2021-11-13 16:29:12', '2021-11-13 16:29:12', '', '', '', '', 'TypistShowInfo', '0', 0, FALSE, NULL);         
CREATE CACHED TABLE "PUBLIC"."LOCATION"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ADDRESS" VARCHAR(256),
    "CITY" VARCHAR(256),
    "COUNTRY" VARCHAR(256),
    "ALTITUDE" INTEGER,
    "GPS" VARCHAR(256),
    "LOCATION_ID" BIGINT
);    
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
CREATE CACHED TABLE "PUBLIC"."PART"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER,
    "PART_ID" BIGINT,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");          
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO "PUBLIC"."PART" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2021-11-13 16:27:58.94', NULL, NULL, 0);      
CREATE CACHED TABLE "PUBLIC"."PERSON"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "GENDER_ID" BIGINT,
    "FIRSTNAME" VARCHAR(256),
    "LASTNAME" VARCHAR(256),
    "ABBREVIATION" VARCHAR(256),
    "BIRTHDAY" TIMESTAMP,
    "DAYOFDEATH" TIMESTAMP,
    "OCCUPATION" VARCHAR(256),
    "COLOR" INTEGER,
    "CATEGORY_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE "PUBLIC"."PLOT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."PLOT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "PERSON1_ID" BIGINT,
    "PERSON2_ID" BIGINT,
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE "PUBLIC"."SCENE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHAPTER_ID" BIGINT,
    "STRAND_ID" BIGINT,
    "SCENENO" INTEGER,
    "SCENE_TS" TIMESTAMP,
    "TITLE" VARCHAR(2048),
    "SUMMARY" VARCHAR(32768),
    "STATUS" INTEGER,
    "DURATION" VARCHAR(255),
    "RELATIVE_DATE_DIFFERENCE" INTEGER,
    "RELATIVE_TIME" VARCHAR(255),
    "RELATIVE_SCENE_ID" BIGINT,
    "INFORMATIVE" BOOLEAN,
    "SCENARIO_PITCH" VARCHAR(1024),
    "SCENARIO_STAGE" INTEGER,
    "SCENARIO_START" INTEGER,
    "SCENARIO_END" INTEGER,
    "SCENARIO_MOMENT" INTEGER,
    "SCENARIO_LOC" INTEGER,
    "ODF" VARCHAR(256),
    "NARRATOR_ID" BIGINT
);      
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");        
-- 15 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO "PUBLIC"."SCENE" VALUES
(1, '2021-11-13 16:27:58', '2021-11-15 18:08:28', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 2, TIMESTAMP '2021-11-13 16:27:58.943', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut'), STRINGDECODE('<p>\n      &quot;S&#233;lectionner le bouton &#224; montrer&quot;\n    </p>\n    <p>\n      Tr&#232;s pertinent mais manque &quot;R&#233;tablir la disposition Boutons par d&#233;faut&quot; \n      ( &#224; cr&#233;er, un peu sur le mod&#232;le de &quot;Fen&#234;tres - Disposition pr&#233;&#233;tablie&quot;.) \n      Suite &#224; un essai, j''ai supprim&#233; tous les boutons except&#233; &quot;Frise \n      chronologique&quot;. Cr&#233;er un nouveau menu prend un peu de temps m&#234;me si cela \n      permet de s&#233;lectionner les ic&#244;nes dont on a vraiment besoin ! ( les \n      infobulles indiquant le nom des ic&#244;nes, bien vu !)\n    </p>'), 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, STRINGDECODE('/home/bernard/ostorybook/Chapitre01-Sc\u00e8ne01.ods'), NULL),
(2, '2021-11-13 16:40:03', '2021-11-15 18:08:29', STRINGDECODE(' La modification du menu \"S\u00e9lectionner le bouton \u00e0 montrer\" plante la machine'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 3, NULL, STRINGDECODE(' La modification du menu \"S\u00e9lectionner le bouton \u00e0 montrer\" plante la machine'), STRINGDECODE('<p>\n      La modification du menu &quot;S&#233;lectionner le bouton &#224; montrer&quot; plante la \n      machine\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Assistant from default \n      /home/bernard/ostorybook/./Assistant/Assistant_fr.properties\n    </p>\n    <p>\n      query test OK\n    </p>\n    <p>\n      Exception in thread &quot;AWT-EventQueue-0&quot; java.lang.OutOfMemoryError: Java \n      heap space\n    </p>\n    <p>\n      at \n      org.miginfocom.layout.ConstraintParser.parseComponentConstraint(ConstraintParser.java:460)\n    </p>\n    <p>\n      at \n      org.miginfocom.swing.MigLayout.setComponentConstraintsImpl(MigLayout.java:318)\n    </p>\n    <p>\n      at org.miginfocom.swing.MigLayout.addLayoutComponent(MigLayout.java:657)\n    </p>\n    <p>\n      at java.desktop/java.awt.Container.addImpl(Container.java:1152)\n    </p>\n    <p>\n      at java.desktop/java.awt.Container.add(Container.java:997)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.setLabelTo(TimelineScale.java:210)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.initUi(TimelineScale.java:149)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.initAll(TimelineScale.java:57)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelineScale.&lt;init&gt;(TimelineScale.java:52)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.setScale(TimelinePanel.java:304)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.refresh(TimelinePanel.java:196)\n    </p>\n    <p>\n      at \n      storybook.ui.panel.timeline.TimelinePanel.initUi(TimelinePanel.java:109)\n    </p>\n    <p>\n      at storybook.ui.panel.AbstractPanel.initAll(AbstractPanel.java:76)\n    </p>\n    <p>\n      at storybook.ui.SbViewFactory.loadView(SbViewFactory.java:532)\n    </p>\n    <p>\n      at \n      storybook.ui.MainFrame$MainDockingWindowAdapter.windowAdded(MainFrame.java:911)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.fireWindowAdded(DockingWindow.java:1172)\n    </p>\n    <p>\n      at net.infonode.docking.DockingWindow.addWindow(DockingWindow.java:1634)\n    </p>\n    <p>\n      at \n      net.infonode.docking.AbstractTabWindow.addTabNoSelect(AbstractTabWindow.java:345)\n    </p>\n    <p>\n      at net.infonode.docking.TabWindow.addTabNoSelect(TabWindow.java:229)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.getContainer(DockingWindow.java:2101)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.lambda$restoreItem$8(DockingWindow.java:2060)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow$$Lambda$399/0x000000084061fc40.run(Unknown \n      Source)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.lambda$optimizeAfter$5(DockingWindow.java:1544)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow$$Lambda$346/0x00000008404bf440.run(Unknown \n      Source)\n    </p>\n    <p>\n      at net.infonode.docking.FocusManager.pinFocus(FocusManager.java:109)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.optimizeAfter(DockingWindow.java:1540)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.restoreItem(DockingWindow.java:2039)\n    </p>\n    <p>\n      at \n      net.infonode.docking.DockingWindow.restoreViews(DockingWindow.java:1953)\n    </p>\n    <p>\n      at net.infonode.docking.DockingWindow.restore(DockingWindow.java:448)\n    </p>\n    <p>\n      at storybook.ui.MainFrame.showAndFocus(MainFrame.java:515)\n    </p>\n    <p>\n      at storybook.ui.MainMenu.lambda$initTbView$30(MainMenu.java:392)\n    </p>\n    <p>\n      at \n      storybook.ui.MainMenu$$Lambda$174/0x0000000840278440.actionPerformed(Unknown \n      Source)\n    </p>'), 4, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);  
INSERT INTO "PUBLIC"."SCENE" VALUES
(3, '2021-11-13 16:42:23', '2021-11-15 18:09:01', STRINGDECODE('Cr\u00e9ation d''un lieu'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 2, 1, 3, NULL, STRINGDECODE('Cr\u00e9ation d''un lieu'), STRINGDECODE('<p>\n      Nom = ok\n    </p>\n    <p>\n      O&#249; = bug ? cr&#233;ation impossible\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(5, '2021-11-13 16:45:55', '2021-11-15 18:09:42', 'Importer fichier / document', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 4, 1, 5, NULL, 'Importer fichier / document', STRINGDECODE('<p>\n      Importer fichier pour cr&#233;er une nouvelle sc&#232;ne ? (fichier texte existant \n      .txt, .odt ,.doxs etc &#224; int&#233;grer dans une nouvelle sc&#232;ne pour &#233;viter un \n      copier-coller.)\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Importer un document --&gt; cr&#233;er nouveau projet\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      exporter ( en cliquant sur l''onglet) pas de r&#233;ponse\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(6, '2021-11-13 16:47:26', '2021-11-15 18:09:53', 'liste des taches', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 5, 1, 6, NULL, 'liste des taches', STRINGDECODE('<p>\n      Vue &quot;liste des taches&quot; inop&#233;rant\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(7, '2021-11-13 16:48:23', '2021-11-15 18:09:12', STRINGDECODE('Sc\u00e8nes, nombre de mots'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 2, 1, 7, NULL, STRINGDECODE('Sc\u00e8nes, nombre de mots'), STRINGDECODE('<p>\n      Sc&#232;nes, nombre de mots\n    </p>\n    <p>\n      : champ &quot;accessible&quot; --&gt; pas n&#233;cessaire car non modifiable\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(8, '2021-11-13 16:56:34', '2021-11-15 18:10:03', STRINGDECODE('S\u00e9lectionner plusieurs sc\u00e8nes en m\u00eame temps'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 6, 1, 8, NULL, STRINGDECODE('S\u00e9lectionner plusieurs sc\u00e8nes en m\u00eame temps'), STRINGDECODE('<h2>\n      \n    </h2>\n    <p>\n      Objectif : modifier un attribut (par ex., Etat) pour attribuer la m&#234;me \n      valeur ( Brouillon) &#224; diff&#233;rentes sc&#232;nes\n    </p>\n    <p>\n      Peut &#234;tre utile quand on estime que le texte &#233;crit consid&#233;r&#233; comme \n      &quot;Termin&#233;&quot; n''est pas satisfaisant.\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(9, '2021-11-13 17:03:03', '2021-11-15 18:10:38', STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut (cf \"S\u00e9lectionner le bouton \u00e0 montrer\")'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 6, 1, 9, NULL, STRINGDECODE('R\u00e9tablir la disposition Boutons par d\u00e9faut (cf \"S\u00e9lectionner le bouton \u00e0 montrer\")'), STRINGDECODE('<p>\n      Tr&#232;s pertinent mais manque &quot;R&#233;tablir la disposition Boutons par d&#233;faut&quot; \n      ( &#224; cr&#233;er, un peu sur le mod&#232;le de &quot;Fen&#234;tres - Disposition pr&#233;&#233;tablie&quot;.)\n    </p>\n    <p>\n      Suite &#224; un essai, j''ai supprim&#233; tous les boutons except&#233; &quot;Frise \n      chronologique&quot;. Cr&#233;er un nouveau menu prend un peu de temps m&#234;me si cela \n      permet de s&#233;lectionner les ic&#244;nes dont on a vraiment besoin !\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      ( les infobulles indiquant le nom des ic&#244;nes, bien vu !)\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(10, '2021-11-13 17:10:22', '2021-11-15 18:11:45', STRINGDECODE('Fen\u00eatre - Enregistrer la disposition '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 2, 10, NULL, STRINGDECODE('Fen\u00eatre - Enregistrer la disposition '), STRINGDECODE('<p>\n      Apr&#232;s configuration d''une nouvelle disposition, impossible de la fermer \n      la fen&#234;tre. Je sors du programme en fermant la console.\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);        
INSERT INTO "PUBLIC"."SCENE" VALUES
(11, '2021-11-13 22:59:51', '2021-11-15 18:08:41', STRINGDECODE('Lien ic\u00f4ne \"Vue gestion\"'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 4, NULL, STRINGDECODE('Lien ic\u00f4ne \"Vue gestion\"'), STRINGDECODE('<p>\n      Cela active la vue &quot;Lecture&quot;\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(12, '2021-11-13 23:02:13', '2021-11-15 18:08:52', 'Vue "Frise chronologique"', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 5, NULL, 'Vue "Frise chronologique"', STRINGDECODE('<p>\n      Impossible de supprimer l''ic&#244;ne\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(13, '2021-11-13 23:16:02', '2021-11-15 18:08:17', 'Version du 13.11.2021', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 1, NULL, 'Version du 13.11.2021', STRINGDECODE('<p>\n      Version utilis&#233;e\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, ' ', NULL),
(14, '2021-11-13 23:28:51', '2021-11-15 18:11:51', STRINGDECODE('Cr\u00e9er une couverture'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 1, 14, NULL, STRINGDECODE('Cr\u00e9er une couverture'), STRINGDECODE('<p>\n      Ne garde pas en m&#233;moire le choix effectu&#233; lors d''une m&#234;me session\n    </p>\n    <p>\n      La couverture s&#233;lectionn&#233;e n''est pas enregistr&#233;e et reste invisible\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(15, '2021-11-15 17:33:48', '2021-11-15 18:09:29', 'Exportation ', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 1, 15, NULL, 'Exportation ', STRINGDECODE('<p>\n      .html = ok\n    </p>\n    <p>\n      .epub = ok\n    </p>\n    <p>\n      .docx = ok\n    </p>\n    <p>\n      .odt = ok\n    </p>\n    <p>\n      .txt = fichier non g&#233;n&#233;r&#233;\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(16, '2021-11-15 17:46:19', '2021-11-15 18:11:55', STRINGDECODE('Num\u00e9rotation des sc\u00e8nes '), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 7, 1, 16, NULL, STRINGDECODE('Num\u00e9rotation des sc\u00e8nes '), STRINGDECODE('<p>\n      Tri par id ou n&#176; = ordre non respect&#233;\n    </p>\n    <p>\n      1\n    </p>\n    <p>\n      10\n    </p>\n    <p>\n      11\n    </p>\n    <p>\n      12\n    </p>\n    <p>\n      2\n    </p>\n    <p>\n      3\n    </p>\n    <p>\n      etc\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);        
CREATE CACHED TABLE "PUBLIC"."STATUS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ICONE" VARCHAR(256)
);       
ALTER TABLE "PUBLIC"."STATUS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE "PUBLIC"."STRAND"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ABBREVIATION" VARCHAR(256),
    "COLOR" INTEGER,
    "SORT" INTEGER
);       
ALTER TABLE "PUBLIC"."STRAND" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_926" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO "PUBLIC"."STRAND" VALUES
(1, '2021-11-13 16:27:58', '2021-11-13 16:27:58', STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1),
(2, '2021-11-13 23:07:18', '2021-11-13 23:07:19', 'bug', STRINGDECODE('<p>\n      bug\n    </p>'), '', '', 'bug', -16777216, 2);   
CREATE CACHED TABLE "PUBLIC"."TAG"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);          
ALTER TABLE "PUBLIC"."TAG" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
CREATE CACHED TABLE "PUBLIC"."TAG_LINK"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT,
    "CHARACTER_ID" BIGINT,
    "LOCATION_ID" BIGINT,
    "TAG_ID" BIGINT
);
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE "PUBLIC"."TIMEEVENT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "EVENT_TS" TIMESTAMP,
    "DURATION" VARCHAR(255),
    "TIME_STEP" INTEGER,
    "CATEGORY" VARCHAR(255),
    "COLOR" INTEGER
);  
ALTER TABLE "PUBLIC"."TIMEEVENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE "PUBLIC"."PERSON_ATTRIBUTE"(
    "PERSON_ID" BIGINT NOT NULL,
    "ATTRIBUTE_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE "PUBLIC"."PERSON_CATEGORIES"(
    "PERSON_ID" BIGINT NOT NULL,
    "CATEGORY_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_ITEMS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_PERSONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE "PUBLIC"."SCENE_ITEM"(
    "SCENE_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE "PUBLIC"."SCENE_LOCATION"(
    "SCENE_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."SCENE_PERSON"(
    "SCENE_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE "PUBLIC"."SCENE_PLOT"(
    "SCENE_ID" BIGINT NOT NULL,
    "PLOT_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE "PUBLIC"."SCENE_STRAND"(
    "SCENE_ID" BIGINT NOT NULL,
    "STRAND_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB562174C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."FK31A8ACFE18A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C37380422" FOREIGN KEY("NARRATOR_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FA8B82A3E" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F558C3830D6" FOREIGN KEY("GENDER_ID") REFERENCES "PUBLIC"."GENDER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F36DA5802" FOREIGN KEY("CHARACTER_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E65A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB11979E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A68BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B5437ECF" FOREIGN KEY("PERSON1_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F948B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F094618A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696084C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."FKCB0ADF2D5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B543F32E" FOREIGN KEY("PERSON2_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B45A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."FK9FF58FB54C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB1195A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F4C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E648B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A685A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F0946BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F5518A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB5621753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696085A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."FK56D8082D9B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B4ADF1FBD6" FOREIGN KEY("PLOT_ID") REFERENCES "PUBLIC"."PLOT"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F953C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F961090AF" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32490A0FFE" FOREIGN KEY("ATTRIBUTE_ID") REFERENCES "PUBLIC"."ATTRIBUTE"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."FK255BF39B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;        
